<?php

/**
 * Notice type enum.
 *
 * @package northmill-online-shared
 */
declare (strict_types=1);
namespace Northmill_Online_Shared_Checkout\Northmill_Online_Shared\Modules\Admin\Notices;

defined('ABSPATH') || exit;
enum Notice_Type_Enum
{
    case ERROR;
    case SUCCESS;
    case WARNING;
    case INFO;
    /**
     * Get enum name as string.
     *
     * @return string
     */
    public function to_string(): string
    {
        return strtolower($this->name);
    }
}
